
function ia.update_sucubo(spr)

    map.surf(rooms.surf_foreground)

    if spr.state == templates.ALIVE then
        spr.timer = spr.timer + 1
        if spr.timer==100 then
            sprites.set_animation(spr, "sucubo_fire")
        elseif spr.timer > 100 then
            if spr.current_frame == 2 then
                spr.timer = 0
                local palo = templates.create("palo", {pos={x=spr.pos.x, y=spr.pos.y}, flipped=spr.flipped})
                table.insert(sprites.list, palo)
            end
        end
        if spr.animation_finished then
            spr.animation_finished = nil
            sprites.set_animation(spr, "sucubo_stand")
        end
        if sprites.hero.state == templates.ALIVE then
            local x1,y1,w1,h1 = util.aabb(spr) -- El meu aabb
            local x2,y2,w2,h2 = util.aabb(sprites.hero) -- el aabb del heroi
            -- Si toca al heroi...
            if util.check_aabb_collision(x1,y1,w1,h1, x2,y2,w2,h2) then
                sprites.hero.hit()
            end
        end

    elseif spr.state == templates.DYING then
        if spr.animation ~= "mummy_dying" then
            sprites.set_animation(spr, "mummy_dying")
            spr.surf = surf.load("gfx/mummy.gif")
        else
            if spr.current_frame == 8 then
                sprites.set_animation(spr, "mummy_dead")
                spr.state = templates.DEAD
            end
        end
    elseif spr.state == templates.DEAD then
        if spr.current_wait == 1 then
            sprites.set_animation(spr, "mummy_undying")
            spr.state = templates.RESURRECTING
        end
    elseif spr.state == templates.RESURRECTING then
        if spr.current_frame == 13 then
            sprites.set_animation(spr, "sucubo_stand")
            spr.surf = surf.load("gfx/sucubo.gif")
            spr.state = templates.ALIVE
        end
    end
end
